unit Unit10;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls, ExtCtrls, TeEngine, Series, TeeProcs, Chart;

type
  TForm10 = class(TForm)
    Chart1: TChart;
    Series1: TLineSeries;
    Image1: TImage;
    Button1: TButton;
    procedure Button1Click(Sender: TObject);
    procedure FormShow(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form10: TForm10;

implementation

uses TeCanvas;

{$R *.dfm}

procedure TForm10.Button1Click(Sender: TObject);
var c: TChart;
    l: TLineSeries;
begin
c:= TChart.Create(nil);
try
  c.Assign(chart1);
  l := TLineSeries.Create(c);
  c.AddSeries(l);
  c.Series[0].Assign(chart1.Series[0]);

  c.CustomChartRect:=true;
  c.ChartRect:=TeeRect(0,0,200,400);
  c.Axes.Left.LabelsFont.Color := clred;
  c.DrawToMetaCanvas(Image1.Canvas, Chart1.ChartRect);
finally
  c.Free;
end;
end;

procedure TForm10.FormShow(Sender: TObject);
begin
chart1.Series[0].FillSampleValues(100);
end;

end.
